data:extend({
	{
		type="recipe-category",
		name="science-test",
		group="production"
	},
	{
		type="item-subgroup",
		name="science-test",
		group="production"
	},
	{
		type="recipe",
		name="red-research",
		category="science-test",
		icons = {
			{icon = "__base__/graphics/icons/lab.png"},
			{
				icon = "__base__/graphics/icons/automation-science-pack.png",
				scale = 0.25
			}
		},
    subgroup = "science-test",
		ingredients =
    {
      {type = "item", name = "copper-plate", amount = 1},
      {type = "item", name = "iron-gear-wheel", amount = 1}
    },
		results = {
			{ type="research-progress", research_item ="automation-science-pack" }
		}
	},
	{
		type="recipe",
		name="green-only-ingredients-research",
		category="science-test",
		icons = {
			{icon = "__base__/graphics/icons/lab.png"},
			{
				icon = "__base__/graphics/icons/logistic-science-pack.png",
				scale = 0.25
			}
		},
    subgroup = "science-test",
		ingredients =
    {
      {type = "item", name = "copper-plate", amount = 1}
    },
		results = {
			{ type="research-progress", research_item ="logistic-science-pack" }
		}
	},
	{
		type="recipe",
		name="green-red-ingredients-research",
		category="science-test",
		icons = {
			{icon = "__base__/graphics/icons/lab.png"},
			{
				icon = "__base__/graphics/icons/automation-science-pack.png",
				scale = 0.25,
				shift = {-32, 0}
			},
			{
				icon = "__base__/graphics/icons/logistic-science-pack.png",
				scale = 0.25,
				shift = {32, 0}
			}
		},
    subgroup = "science-test",
		ingredients =
    {
      {type = "item", name = "copper-plate", amount = 1}
    },
		results = {
			{ type="research-progress", research_item ="automation-science-pack" },
			{ type="research-progress", research_item ="logistic-science-pack" }
		}
	}
})

table.insert(data.raw["assembling-machine"]["assembling-machine-1"].crafting_categories, "science-test")
table.insert(data.raw["character"]["character"].crafting_categories, "science-test")